/******************************************************************************

                            Online C# Compiler.
                Code, Compile, Run and Debug C# program online.
Write your code in this editor and press "Run" button to execute it.

*******************************************************************************/

using System;
class HelloWorld {
  static void Main() {
      string [] s= Console.ReadLine().Split();
    long N = long.Parse(s[0]);
    long L = long.Parse(s[1]);
    long a = 0;
    long [] niz = new long [10000];
      s = Console.ReadLine().Split();
    for(int i = 1;i<=N;i++)
    {
      
       niz[i] = long.Parse(s[i]);
       if(L >= niz[i])
       {
         a = i;
         break;
       }
     
        
    }
    Console.WriteLine(a);
    if(a ==0)
    {
        Console.WriteLine("-1");
    }
  }
}